Bug Hunting Session
Bug 126608 - Writer: Looks as if switch Page to Portrait is impossible - Cause: "Format > Page" is not clear because it starts formatting the page Style
Summary: Writer: Looks as if switch Page to Portrait is impossible - Cause: "Format > ...
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium normal
Assignee: Heiko Tietze
URL: https://ask.libreoffice.org/en/questi...
Whiteboard: target:6.4.0
Keywords: needsUXEval
Depends on:
Blocks: Main-Menu Writer-Styles-Page
  Show dependency treegraph
 
Reported: 2019-07-30 06:01 UTC by Todd
Modified: 2019-09-15 14:33 UTC (History)
8 users (show)

See Also:
Crash report or crash signature:


Attachments
Can page break with portrait (9.44 KB, application/vnd.oasis.opendocument.text)
2019-07-30 06:01 UTC, Todd
Details
Please circle Landscape (158.27 KB, image/png)
2019-07-30 07:56 UTC, Todd
Details
Example of landscape and portrait (8.02 KB, application/vnd.oasis.opendocument.text)
2019-07-30 08:41 UTC, Dieter Praas
Details
Manual Break Style Dropdown (27.80 KB, image/png)
2019-07-30 22:03 UTC, Todd
Details
When Landscape is portrait and Portrait is Landscape (63.55 KB, image/png)
2019-08-01 19:27 UTC, Todd
Details
sample document not using Default page template (32.91 KB, application/vnd.oasis.opendocument.text)
2019-08-01 20:44 UTC, V Stuart Foote
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Todd 2019-07-30 06:01:30 UTC
Created attachment 153048 [details]
Can page break with portrait

Fedora 30
LibreOffice-6.2.5-Linux_x86-64_rpm.tar.gz

If I create a new Writer document and set the page orientation to portrait, I can not insert a page break and change the orientation back to Portrait.

    → Insert
       → More Breaks
          → Manual Break
            → Page Break
              Default Style

There is no Portrait in the styles and Default Style leave it in Landscape

By the way, it would be really, really, really, really, really, really nice if I was able to just change the orientation of the page I am working on to whatever I wanted WITHOUT it changing the entire stinking document, like I am able to do with the abandoned Word Pro and every other word processor I have ever used.
Comment 1 Dieter Praas 2019-07-30 07:16:19 UTC
You can't use the same page style in portrait and in landscape for the same time. You need two different stayles. For example:
1. Create a new document and choose landscape as page style
2. Manual page break; default page style

=> RESOLVED NOTABUG
Comment 2 Todd 2019-07-30 07:23:44 UTC
(In reply to Dieter Praas from comment #1)

> 1. Create a new document and choose landscape as page style

That is exactly what I did.  See my initial comment.

> 2. Manual page break; default page style

Did not work.  Stayed in Landscape for default.  No option for portrait in styles (everything else except Portrait).

> => RESOLVED NOTABUG

Danged tootin' it is!
Comment 3 Dieter Praas 2019-07-30 07:28:12 UTC
(In reply to Todd from comment #2)
> (In reply to Dieter Praas from comment #1)
> 
> > 1. Create a new document and choose landscape as page style
> 
> That is exactly what I did.  See my initial comment.

No, you choosed default page style and changed page orientation to landscape (that's what I can see in your file). That's different from using the page style "landscape". Please try it with these steps.
Comment 4 Todd 2019-07-30 07:37:38 UTC
1. new document

2. format --> page (brings up page style) --> format tab

3. select "Landscape"

4. write something on the landscape page

5.  → Insert
       → More Breaks
          → Manual Break
            → Page Break
              Default Style

No sign of Portrait in the styles (but everything else).  And Default style stays in Landscape.

Are you finally able to reproduce this?
Comment 5 Dieter Praas 2019-07-30 07:44:13 UTC
(In reply to Todd from comment #4)
> Are you finally able to reproduce this?

Yes, but that's the intended behaviour and not a bug. Please follow my steps

1. Open page styles in sidebar (here you see the page style landscape). Please choose this.
2. Manual page break with default style
Comment 6 Todd 2019-07-30 07:56:17 UTC
(In reply to Dieter Praas from comment #5)
> (In reply to Todd from comment #4)
> > Are you finally able to reproduce this?
> 
> Yes, but that's the intended behaviour and not a bug. Please follow my steps

If so, it is extremely poorly thought out and should be changed

> 
> 1. Open page styles in sidebar (here you see the page style landscape).
> Please choose this.
> 2. Manual page break with default style

I may be blind.  Please open the next attachment in GIMP and red circle the word "Landscape" for me.
Comment 7 Todd 2019-07-30 07:56:57 UTC
Created attachment 153052 [details]
Please circle Landscape
Comment 8 Dieter Praas 2019-07-30 08:15:06 UTC
Picture is showing paragraph styles. For page styles please choose the fourth icon.
Comment 9 Todd 2019-07-30 08:18:19 UTC
Okay, I figured out a crude work around to this bug and a good demonstration of this bug.

1) open a new document.

2) leave the first page in Portrait.

3) insert a manual page break as land scape.

After that you can manually insert portrait or Lanscape pages as yo wish.

BUTTTTTT!!!!  If you delete the first page and the new first page becomes Landscape, your are permanently stuck in Landscape.  There is no Portrait in sty=les and Default in now Landscape.

So you MUST leave the first page in Portrait.
Comment 10 Todd 2019-07-30 08:22:16 UTC
(In reply to Dieter Praas from comment #8)
> Picture is showing paragraph styles. For page styles please choose the
> fourth icon.

I did that and it changed page 1 to Landscape.  

Next time I tried to make a manual page break, no Portrait and Default is Landscape.  No joy.

What Version are you using? 

I am using LibreOffice-6.2.5-Linux_x86-64_rpm.tar.gz.  Perhaps it has been fixed in your version?
Comment 11 Dieter Praas 2019-07-30 08:41:05 UTC
Created attachment 153053 [details]
Example of landscape and portrait

I use
Version: 6.2.5.2 (x64)
Build-ID: 1ec314fa52f458adc18c4f025c545a4e8b22c159
CPU-Threads: 4; BS: Windows 10.0; UI-Render: GL; VCL: win; 
Gebietsschema: de-DE (de_DE); UI-Sprache: de-DE
Calc: threaded

See attachment. Sorry, but I think, I can't help more. I'm still convinced, that this is NOTABUG.
Comment 12 Todd 2019-07-30 09:28:09 UTC
(In reply to Dieter Praas from comment #11)
> Created attachment 153053 [details]
> Example of landscape and portrait
> See attachment. 

EVERYTHING in your example is Landscape.

> Sorry, but I think, I can't help more. I'm still convinced,
> that this is NOTABUG.

Would you please escalate this up the food chain?
Comment 13 Dieter Praas 2019-07-30 10:20:09 UTC
(In reply to Todd from comment #12)
> (In reply to Dieter Praas from comment #11)
> > Created attachment 153053 [details]
> > Example of landscape and portrait
> > See attachment. 
> 
> EVERYTHING in your example is Landscape.

I don't understand, why it works perfect for me. Perhaps there's a problem with your user profile. Could you please try it in Save Mode?(Last idea I have)
Comment 14 Todd 2019-07-30 21:59:49 UTC
(In reply to Dieter Praas from comment #13)
> (In reply to Todd from comment #12)
> > (In reply to Dieter Praas from comment #11)
> > > Created attachment 153053 [details]
> > > Example of landscape and portrait
> > > See attachment. 
> > 
> > EVERYTHING in your example is Landscape.
> 
> I don't understand, why it works perfect for me. Perhaps there's a problem
> with your user profile. Could you please try it in Save Mode?(Last idea I
> have)

Are you running Linux or Windows?

First, my bad, I had not scrolled properly on your test document and it indeed was landscape first and portrait second is both normal and safe mode.

$ libreoffice6.2 --safe-mode

Now in safe mode, I tested by first setting the initial page to Landscape, then doing the manual page break thing.  No joy.  Default was still Landscape and no Portrait in the drop down.  I will post a screen shot of the drop down.
Comment 15 Todd 2019-07-30 22:03:25 UTC
Created attachment 153061 [details]
Manual Break Style Dropdown

Portrait no where to be found.  Also used the down arrow key to make sure something wasn't hiding under the list, but it just went to the top of the list after hitting the bottom.
Comment 16 Todd 2019-07-30 22:07:49 UTC
On your test document, Default style is indeed Portrait.  I can page break Landscape or Portrait (Default) from any page.  Hmmm, now I have a workaround template.
Comment 17 Todd 2019-07-30 22:24:14 UTC
Do you have a tool where you can binary view the document I posted and your document too and compare the headers?
Comment 18 Dieter Praas 2019-07-31 05:58:47 UTC
(In reply to Todd from comment #16)
> On your test document, Default style is indeed Portrait.  I can page break
> Landscape or Portrait (Default) from any page.  Hmmm, now I have a
> workaround template.

That's the intended behaviour for working with styles. If you need more informations you should have a look into documentation: https://wiki.documentfoundation.org/images/b/b6/WG6009-WorkingWithStyles.odt

=> RESOLVED WORKSFORME
Comment 19 Todd 2019-07-31 07:50:43 UTC
(In reply to Dieter Praas from comment #18)

> That's the intended behaviour for working with styles. If you need more
> informations you should have a look into documentation:
> https://wiki.documentfoundation.org/images/b/b6/WG6009-WorkingWithStyles.odt

Please show me where in that document that it states that once you set a style to Landscape that new pages can not be set to Portrait?a

> => RESOLVED WORKSFORME

But not for me.  This is a bug and needs to be investigated.  Your document and mine need to be analysed to see what the difference is between the two of them and why they came out different.

You also using Windows and I am using Linux.  You did not investigate this issue under Fedora Linux.

Please escalate this up the food chain.
Comment 20 Dieter Praas 2019-07-31 09:32:56 UTC
(In reply to Todd from comment #19)
> But not for me.  This is a bug and needs to be investigated.  Your document
> and mine need to be analysed to see what the difference is between the two
> of them and why they came out different.

I spent some time on this bug report, but ow I give it up.

cc: Design Team
Comment 21 Todd 2019-08-01 02:28:34 UTC
Dear Design team,

I am quoting what I wrote over on

https://ask.libreoffice.org/en/question/202907/writer-raw-code-analyzer/?answer=203006

I do believe, I am unable to correctly create pm1 and pm2 with the Linux version.  And that P3 is just picking up P1's settings.

Hi All,

What is going on is that I can not switch to Portrait from Landscape is I set the first page to landscape.

I reported this over on 

https://bugs.documentfoundation.org/show_bug.cgi?id=126608

Todd: 
   Fedora 30
   LibreOffice-6.2.5-Linux_x86-64_rpm.tar.gz

Deiter:
   Version: 6.2.5.2 (x64)
   Build-ID: 1ec314fa52f458adc18c4f025c545a4e8b22c159
   CPU-Threads: 4; BS: Windows 10.0; UI-Render: GL; VCL: win; 
   Gebietsschema: de-DE (de_DE); UI-Sprache: de-DE

You will see two odt's a attachments on that bug.  With Deiter's, I am able to switch without issue.  Mine (Todd's), if I set the first page to landscape, I am stuck in landscape.  If I set (leave the first page in Portrait, I can do switch orientations with Manual Break without issue, but if I go back and erase the first page so that the second page which is in Landscape is now the first page, everything gets converted to Landscape.

Using fodt, I see in my document (Todd's attachment), after add a second page with default style, and adding the text "page 2" to the document, I get

       <text:p text:style-name="P1"/>
       <text:p text:style-name="P1">Good luck with that!</text:p>
       <text:p text:style-name="P1"/>
       <text:p text:style-name="P1"/>
       <text:p text:style-name="P3">page 2</text:p>          <-- manual beak was support to be "Default Style"
      </office:text>
     </office:body>
    </office:document>

And looking up P3, I see

      <style:style style:name="P3" style:family="paragraph" style:parent-style-name="Standard" style:master-page-name="Standard">

No sign of "Portrait in P3"

And although "pm1" is not used in my document, I see do seelandscape

      <style:page-layout style:name="pm1">
       <style:page-layout-properties fo:page-width="11in" fo:page-height="8.5in" style:num-format="1" style:print-orientation="landscape" fo:margin-top="0.7874in" fo:margin-bottom="0.7874in" fo:margin-left="0.7874in" fo:margin-right="0.7874in" style:writing-mode="lr-tb" style:layout-grid-color="#c0c0c0" style:layout-grid-lines="20" style:layout-grid-base-height="0.278in" style:layout-grid-ruby-height="0.139in" style:layout-grid-mode="none" style:layout-grid-ruby-below="false" style:layout-grid-print="false" style:layout-grid-display="false" style:footnote-max-height="0in">
        <style:footnote-sep style:width="0.0071in" style:distance-before-sep="0.0398in" style:distance-after-sep="0.0398in" style:line-style="solid" style:adjustment="left" style:rel-width="25%" style:color="#000000"/>
       </style:page-layout-properties>
       <style:header-style/>

I do not have a pm2


Looking at Deiter's document, I see pm1 (portrait):

      <style:page-layout style:name="pm1">
       <style:page-layout-properties fo:page-width="8.2681in" fo:page-height="11.6929in" style:num-format="1" style:print-orientation="portrait" fo:margin-top="0.7874in" fo:margin-bottom="0.7874in" fo:margin-left="0.7874in" fo:margin-right="0.7874in" style:writing-mode="lr-tb" style:layout-grid-color="#c0c0c0" style:layout-grid-lines="20" style:layout-grid-base-height="0.278in" style:layout-grid-ruby-height="0.139in" style:layout-grid-mode="none" style:layout-grid-ruby-below="false" style:layout-grid-print="false" style:layout-grid-display="false" style:footnote-max-height="0in">
        <style:footnote-sep style:width="0.0071in" style:distance-before-sep="0.0398in" style:distance-after-sep="0.0398in" style:line-style="solid" style:adjustment="left" style:rel-width="25%" style:color="#000000"/>
       </style:page-layout-properties>
       <style:header-style/>
       <style:footer-style/>
      </style:page-layout>

And a pm2 (landscape):

      <style:page-layout style:name="pm2">
       <style:page-layout-properties fo:page-width="11.6929in" fo:page-height="8.2681in" style:num-format="1" style:print-orientation="landscape" fo:margin-top="0.7874in" fo:margin-bottom="0.7874in" fo:margin-left="0.7874in" fo:margin-right="0.7874in" style:writing-mode="lr-tb" style:layout-grid-color="#c0c0c0" style:layout-grid-lines="20" style:layout-grid-base-height="0.278in" style:layout-grid-ruby-height="0.139in" style:layout-grid-mode="none" style:layout-grid-ruby-below="false" style:layout-grid-print="false" style:layout-grid-display="false" style:footnote-max-height="0in">
        <style:footnote-sep style:width="0.0071in" style:distance-before-sep="0.0398in" style:distance-after-sep="0.0398in" style:line-style="solid" style:adjustment="left" style:rel-width="25%" style:color="#000000"/>
       </style:page-layout-properties>
       <style:header-style/>
       <style:footer-style/>

And by the way, if I use Deiter's document as a template, it works perfectly.
Comment 22 Mike Kaganski 2019-08-01 03:07:12 UTC
Hi!

(In reply to Todd from comment #4)
> 1. new document
> 
> 2. format --> page (brings up page style) --> format tab
> 
> 3. select "Landscape"
> 
> 4. write something on the landscape page
> 
> 5.  → Insert
>        → More Breaks
>           → Manual Break
>             → Page Break
>               Default Style
> 
> No sign of Portrait in the styles (but everything else).  And Default style
> stays in Landscape.
> 
> Are you finally able to reproduce this?

Please follow the logic with page styles here.

In a document, there might exist several page styles (= definitions of what a page might look like). Each page style is a recipe how to arrange a page if a need arises to use it.

When you create a new document by default, the very first paragraph doesn't have any explicit statement which page style it requires, and so, the "Default" page style is used. The "Default" page style is just another page style, and it is customizable, just as any other style! *By default*, it is in portrait orientation.

For your convenience, there are some other pre-defined page styles already available in a newly created document, "Landscape" among them. The latter differs from the *default* configuration of "Default" style by orientation.

Note that the different page styles are there for situations when user needs different page arrangements throughout the document (like in your case), since in LibreOffice, the page styles provide this functionality. But not everyone in the world needs differently styled pages in every document; for some, one and only one page arrangement is used across all the pages in the document. And in that case, it's very easy to just modify the "Default" style to fit their need (e.g., just make it landscape, effectively making it a copy of "Landscape" style). Doing that, user makes it impossible to use "Default" style for portrait pages (until the user changes the style back) - but in that case, it's not an issue. Additionally, it's always possible to create new page styles with required settings (e.g., named "Portrait") and use those instead...

In your case, what you did is you initially had normal portrait-oriented Default page style, and added a page with Landscape style using a page break. But then, when you decided to remove the first page, you actually removed the page break with the Landscape page style assignment, and so all your pages became formatted using the Default style (portrait). Without understanding, you opened the page style settings (and remember, at this time, the active page style was Default!), and modified the page style (Default!) to be landscape - again: making it a copy of Landscape style (just with a different name). Boom! At this moment, your document has two landscape page styles, Default and Landscape. And now, trying to use either gives you the landscape paper - expected and correct behaviour, caused by user actions (made without understanding how things work).

One should understand *what* one edits when one edits page settings. The dialog opened for that has a title describing that it modifies page style "X"; it is also clear on the Organizer tab of the dialog.

If one wants to use the portrait and landscape pages throughout the document, one needs not to modify page settings (breaking the page style one still would need in a few moments); instead, one needs to open Page Styles sidebar (on your attachment 153052 [details], it's the small button with a page icon right below "nd" characters of the "Styles and Formatting" caption), and apply the same Landscape page style one used before when one added page break.

All in all, what you need in your "bug" doc (lo.pages.odt from attachment 153048 [details]), is:

1. Fix the Default style to be portrait (which is the current page style for your document);
2. Apply Landscape style to the document (it will set the first paragraph setting to require that page style);
3. Use the fixed Default when you decide that you need to insert a break to use portrait.

The problem here is NOTABUG (but a user error because of not reading the documentation pointed to you in comment 18; available in help [1], and in published manuals [2] (see ch. 5 of current Writer guide v.6), and in multiple pages on AskLibO [3]).

[1] https://help.libreoffice.org/6.2/en-US/text/swriter/guide/pageorientation.html
[2] https://documentation.libreoffice.org/en/english-documentation/writer/
[3] https://ask.libreoffice.org/en/questions/
Comment 23 Todd 2019-08-01 04:53:14 UTC
(In reply to Mike Kaganski from comment #22)

> 1. Fix the Default style to be portrait (which is the current page style for
> your document);
> 2. Apply Landscape style to the document (it will set the first paragraph
> setting to require that page style);
> 3. Use the fixed Default when you decide that you need to insert a break to
> use portrait.

Hi Mike,

I think what is happening is that you are looking at this from the standpoint of an advanced user that knows what is suppose to happen, not a typical user that is just using the pull down menus.

If I use the method you describe with the side bar (which is annoying as it gets in my way -- I prefer the menu pull downs), I indeed can switch around between portrait and landscape at will with Manual breaks.

So this is the bug to fix:

If I 

  create a new blank document
  Format --> Page --> Page --> Landscape

then I am permanently stuck in landscape.  Insert --> Manual Page Break does not allow me to switch back to Portrait as the default is now landscape and portrait is not is the list.  "pm1" and "pm2" are not created properly.

The pull downs and the sidebars should do EXACTLY the same thing, but they don't.

Also, if this is how you designed it, that the "Format --> Page --> Page" method sets the "default style", and the "default Style" becomes what ever you set it to, then the bug is that you neglected to add "portrait" and remove "Landscape" to the pull down in manual break styles when the default style is Landscape (neglected to toggle).   The side bar also need to have portrait added and landscape removed in this situation (toggle).  And if using the "Format --> Page --> Page" you need to properly create pm1 and pm2.

My understanding is that Format --> Page --> Page --> Landscape/Portrait is suppose to set the current page and proceeding pages orientation, not set the "default style".  The side bar does not set the "default style".

You might also consider adding a check box on "Format --> Page --> Page" to "set as "style default" (default off).

Thank you for your patience with this.

-T
Comment 24 Mike Kaganski 2019-08-01 05:42:09 UTC
(In reply to Todd from comment #23)
> So this is the bug to fix:

Or more likely, something that you misunderstand.

> 
> If I 
> 
>   create a new blank document
>   Format --> Page --> Page --> Landscape

... then you do it wrong, again. You edit the current "Default" page style to be landscape, *not* applying another style.

What you should have done at this point is not to edit page style, but understand that it's *paragraph* property that defines which page style to use. So, you need to edit the very first paragraph of the document, and make it have "page break before" with desired page style ("Landscape").

> "pm1" and "pm2" are not created properly.

What "pm1" and "pm2" could even mean?

> The pull downs and the sidebars should do EXACTLY the same thing, but they
> don't.

They do - if you understand what they do. Specifically, pull down menu Format -> Page does exactly the same thing as right-clicking on the name of *current* page style in the sidebar, and choose "Modify...". Double-clicking a page style name on a sidebar does exactly the same as I mentioned above: takes the closest paragraph above that has "page break with page style" (or the very first paragraph in the document), and sets its referenced page style to the double-clicked one.

> Also, if this is how you designed it, that the "Format --> Page --> Page"
> method sets the "default style", and the "default Style" becomes what ever
> you set it to, then the bug is that you neglected to add "portrait" and
> remove "Landscape" to the pull down in manual break styles when the default
> style is Landscape (neglected to toggle).   The side bar also need to have
> portrait added and landscape removed in this situation (toggle).  And if
> using the "Format --> Page --> Page" you need to properly create pm1 and pm2.

No, that is not how someone called "you" designed it. Format -> Page isn't bound to "Default" page style; it opens whatever page style is *current* (i.e., active at the place where your cursor is). If you have several page styles applied to different parts of your document, then it will open one style when you are on one page, and it will open another style when you are on another. And you need to understand that landscape/portrait toggle on the page style settings dialog isn't connected in *any way* with style names. Style names are just some arbitrary strings, and no one would argue if you will re-define your "Default" to be landscape-oriented - and that *by no means* should affect other styles, or their listing in whatever places they are chosen.

> My understanding is that Format --> Page --> Page --> Landscape/Portrait is
> suppose to set the current page and proceeding pages orientation, not set
> the "default style".  The side bar does not set the "default style".

The side bar sets whatever style you click. The sidebar is exactly the place designed to manage the styles; the Format -> Page is just a shortcut to properties of *current* page style (whatever it is at this cursor position).

Please *don't* change the issue status. You need to understand the fundamental concepts here, and the issue here is just a simple NOTABUG.
Comment 25 Todd 2019-08-01 05:49:08 UTC
(In reply to Mike Kaganski from comment #24)
> (In reply to Todd from comment #23)
> > So this is the bug to fix:
> 
> Or more likely, something that you misunderstand.
> 
> > 
> > If I 
> > 
> >   create a new blank document
> >   Format --> Page --> Page --> Landscape
> 
> ... then you do it wrong, again. You edit the current "Default" page style
> to be landscape, *not* applying another style.

Please give me the exact steps to follow in "Format --> Page --> Page" such that I can set the first page to Landscape and proceeding pages to Portrait with manual break

> 
> > "pm1" and "pm2" are not created properly.
> 
> What "pm1" and "pm2" could even mean?
> 

Read through comment 19.  "Format --> Page --> Page" creates a P3 and not a pm2
Comment 26 Mike Kaganski 2019-08-01 06:01:03 UTC
(In reply to Todd from comment #25)
> Please give me the exact steps to follow in "Format --> Page --> Page" such
> that I can set the first page to Landscape and proceeding pages to Portrait
> with manual break

0. Do *not* follow "Format --> Page --> Page".
Let's think that we talk about some new document, which you have recently created, and possibly added some text, but not yet modified anything page-related.
1. Go to the very beginning of the document: Ctrl+Home.
2. Open paragraph properties: Format->Paragraph...
3. Go to "Text Flow" tab.
4. Check "[x] Insert" - "Type: Page" - "Position: Before" - "[x] With page style: Landscape".
5. OK.

> > What "pm1" and "pm2" could even mean?
> 
> Read through comment 19.  "Format --> Page --> Page" creates a P3 and not a
> pm2

I have read again through comment 19, and haven't found any mention of "pm1", "pm2", or newly added "P3".
Comment 27 Mike Kaganski 2019-08-01 06:01:49 UTC
And I ask you one more time: PLEASE DON'T MODIFY THE BUG STATUS. It is "NOTABUG", not "fixed" or whatever.
Comment 28 Mike Kaganski 2019-08-01 06:18:55 UTC
(In reply to Mike Kaganski from comment #26)
> I have read again through comment 19, and haven't found any mention of
> "pm1", "pm2", or newly added "P3".

Ahh, that is about comment 21 actually... talking about ODF :-)

The page styles are not "not created properly". The fodt you (or Dieter) create just contains whatever styles that are *actually used* in your document, (or which were edited to differ from defaults). So, since your document only uses one page style ("Default") (and the other styles are unchanged), it's the only one style that gets into the fodt. The paragraph styles (including automatic) may (or may not) reference other page styles; and in your case, as I tried to describe, you didn't assign different styles to your document: you only used your modified "Default" (several times). That is, again, all correct.
Comment 29 Todd 2019-08-01 06:22:32 UTC
(In reply to Mike Kaganski from comment #27)
> And I ask you one more time: PLEASE DON'T MODIFY THE BUG STATUS. It is
> "NOTABUG", not "fixed" or whatever.

I did not touch it since comment 23.  it was FIXED when I saw it last
Comment 30 Todd 2019-08-01 06:33:54 UTC
(In reply to Mike Kaganski from comment #26)
> (In reply to Todd from comment #25)
> > Please give me the exact steps to follow in "Format --> Page --> Page" such
> > that I can set the first page to Landscape and proceeding pages to Portrait
> > with manual break

> 0. Do *not* follow "Format --> Page --> Page".
> Let's think that we talk about some new document, which you have recently
> created, and possibly added some text, but not yet modified anything
> page-related.
> 1. Go to the very beginning of the document: Ctrl+Home.
> 2. Open paragraph properties: Format->Paragraph...
> 3. Go to "Text Flow" tab.
> 4. Check "[x] Insert" - "Type: Page" - "Position: Before" - "[x] With page
> style: Landscape".
> 5. OK.

Oh geez Mike.  No wonder I was having som many problems.  How is the world would a standard user realize that "Format --> Page --> Page" trashed your default format and did not allow you to change to portrait?  No one except a developer like yourself would have thought to  go to Format-->Paragraph. 

You are right.  This is not a bug.  It is just really obscure and poorly implemented.

How about changing this to a request for enhancement?  Make "Format --> Page --> Page" act like what someone would logically expect.   

Format->Paragraph->Text Flow->Insert->Type: Page->Before->With page->style Landscape".  Seriously???    How in the world is anyone other than a developer suppose to know this?  Especially if they have used any other word processor where Format->Page just sets the page's format and does not trash the default style.  Wow!

Thank you for your patience with this.

I am not touching the status with this post either.

-T
Comment 31 Todd 2019-08-01 06:38:12 UTC
(In reply to Mike Kaganski from comment #28)
> (In reply to Mike Kaganski from comment #26)
> > I have read again through comment 19, and haven't found any mention of
> > "pm1", "pm2", or newly added "P3".
> 
> Ahh, that is about comment 21 actually... talking about ODF :-)
> 
> The page styles are not "not created properly". The fodt you (or Dieter)
> create just contains whatever styles that are *actually used* in your
> document, (or which were edited to differ from defaults). So, since your
> document only uses one page style ("Default") (and the other styles are
> unchanged), it's the only one style that gets into the fodt. The paragraph
> styles (including automatic) may (or may not) reference other page styles;
> and in your case, as I tried to describe, you didn't assign different styles
> to your document: you only used your modified "Default" (several times).
> That is, again, all correct.

Okay, if the default style is Portrait, why can I manually break to Landscape BUT if the default style is Landscape, I CAN NOT manually break to Portrait.  I should be able to switch back and forth between the two AT WILL, despite what the Default Style is.  This is a bug.   

Not changing the Status on this one either.
Comment 32 Mike Kaganski 2019-08-01 06:47:24 UTC
Well - anyone in the world would need to open sidebar and double-click Landscape. Only if you for some obscure reason need to avoid using the dedicated tools, you need to do low-level property fine-tuning, which naturally needs some understanding.

I doubt that "I refuse using proper tools, so it's difficult for me to use my own backwards workflow" qualifies as "really obscure and poorly implemented".

Additionally, grasping a concept that *page styles are controlled by content* (paragraphs), and that content is the primary entity in text processor, and pages are just something created on demand (so the information about page creation should be connected to something substantial, like content) is actually very useful for anyone who tends to look deeper than most basic usage.

Note that the sidebar is just a dialog attached to one side (not centered) and made modeless to allow easier usage. It's controlled by F11; or View->Styles; and one can open and close it just as other dialogs. One may assign individual page styles (e.g. Landscape) to custom menus, or to buttons, or to keyboard shortcuts (just like any other styles in the program), and use those shortcuts when needed. So - well, I still don't see what specifically could be improved (except for your apparent request to "create yet another duplication of the complex functionality implemented into the sidebar" - which would, as just any duplication, increase program complexity).
Comment 33 Mike Kaganski 2019-08-01 06:56:43 UTC
(In reply to Todd from comment #31)
> Okay, if the default style is Portrait, why can I manually break to
> Landscape BUT if the default style is Landscape, I CAN NOT manually break to
> Portrait.  I should be able to switch back and forth between the two AT
> WILL, despite what the Default Style is.  This is a bug.   

I feel like talking to someone who doesn't try to listen. So this is my last attempt (and then I won't continue trying to repeat what has been iterated many times, just like Dieter did already).

You can manually break to *whatever* style. I feel like you just don't understand the word "style", and repeat confusing a style (a bag of many different settings that have a name) with some specific setting - namely orientation. So - take a note: "Default" and "Landscape" are *styles* - two bags of some page-related settings (each has page size, margins, orientation, header/footer settings, etc). When you add a manual break, you may attach a *style* to it - with all the settings in it. And each such style has its own value of orientation, and you are free to modify it. You *DON'T* attach an orientation to manual page break - you only attach styles!

"Default" page style is portrait by default. "Landscape" page style is landscape by default. If you have modified "Default" to be landscape, then please just also modify style named "Landscape" to have portrait orientation - for consistency (of a kind), and just add manual breaks linked to "Landscape" page style whenever you need portrait pages.
Comment 34 Todd 2019-08-01 19:27:24 UTC
Created attachment 153098 [details]
When Landscape is portrait and Portrait is Landscape

A graphical representation of one of the bugs to fix.

This graphic show two images -- one on top of the other.  The difference is where the cursor is (what page is active).  Page 1 are Landscape and page two is Portrait.  

Page 1 was set to Landscape by selecting it from the Style pop up at the bottom.

Page 2 was set to Portrait by selecting Landscape from the pop up at the bottom.  Chuckle.

On the top image, with the cursor on page 2, it shows the style bar as the "Landscape".  Page 2 is obviously Portrait.

On the bottom image, the cursor is on page 1 and the style bar at the bottom says "Default Style".

Oh and the Style pop up at the bottom does not contain "Portrait", but does contain every other machination of style your heart desires.
Comment 35 Todd 2019-08-01 20:07:29 UTC
Oh guess what else?

Open a blank doc.  Go to Format->Page->Page and set it to Landscape.

Next, Insert->Manual Page Break and set it to Landscape.  Now you have two Landscape pages.

Now go to page 2 and use the Style pull up at the bottom of the page and select "Landscape".  Now page 2 is Portrait.  

Chuckle.
Comment 36 V Stuart Foote 2019-08-01 20:44:13 UTC
Created attachment 153099 [details]
sample document not using Default page template

Flogging a dead horse here...

Unfortunately the piece that is a bit obscure working with page breaks is that the main menu Insert -> Page-Break,  <Ctrl>+<Enter> shortcut, is by default done without a page style. So the next page will continue with the previous page's style (including Default 'Standard' )!

If you need to transition page layouts, you need to use the Insert -> More Breaks -> Manual Break... button to launch the 'Insert Break' dialog.

There with radio button selection of the Page break, there is a droplist of available page Style to select.

Anyhow, attached is a sample document demonstrating the behavior you want. For clarity it uses a new Portrait and new Landscape page style, but using the Default page style for Portrait also works if you use the correct page break / w Style selection.
Comment 37 V Stuart Foote 2019-08-01 21:17:12 UTC
In the see also bug 57158 there was discussion of opening a enhancement for better UX in handling of the Page Break w/Style change. Never pursued...

@Cor, Heiko -- I had to poke around a bit for this behavior, but it is clearly identified in the Help for Insert - Manual Break [1], but the 6.2/6.3/6.4 newHelp needs a tweak to reposition it under More Breaks. And the "Inserting and Deleting Page Breaks" article [2] probably should have an Info tip to use the dialog to include style.

As Mike & Dieter said, it works fine when one manages their styles correctly (i.e. don't modify & apply the Default page style and expect stability). 

Otherwise do we need to give the novice user more hand holding?

=-ref-=

[1] https://help.libreoffice.org/6.4/en-US/text/swriter/01/04010000.html?&DbPAR=WRITER&System=WIN 
[2] https://help.libreoffice.org/6.4/en-US/text/swriter/guide/page_break.html?DbPAR=WRITER#bm_id3155183
Comment 38 Todd 2019-08-01 21:30:51 UTC
(In reply to V Stuart Foote from comment #36)
> Created attachment 153099 [details]
> sample document not using Default page template
> 
> Flogging a dead horse here...
> 
> Unfortunately the piece that is a bit obscure working with page breaks is
> that the main menu Insert -> Page-Break,  <Ctrl>+<Enter> shortcut, is by
> default done without a page style. So the next page will continue with the
> previous page's style (including Default 'Standard' )!
> 
> If you need to transition page layouts, you need to use the Insert -> More
> Breaks -> Manual Break... button to launch the 'Insert Break' dialog.
> 
> There with radio button selection of the Page break, there is a droplist of
> available page Style to select.
> 
> Anyhow, attached is a sample document demonstrating the behavior you want.
> For clarity it uses a new Portrait and new Landscape page style, but using
> the Default page style for Portrait also works if you use the correct page
> break / w Style selection.

What you are missing is my leaving off "more breaks" from what I wrote.  I did remember to the more breaks part.

I should have written “Insert → More Breaks → Manual Page Break”.  My bad.  The tip off was that I kept referring to the "Style" pulldown in Manual Page Break.

Sorry for the mix up
Comment 39 Todd 2019-08-01 21:35:38 UTC
(In reply to Mike Kaganski from comment #32)

> I doubt that "I refuse using proper tools, so it's difficult for me to use
> my own backwards workflow" qualifies as "really obscure and poorly
> implemented".

Mike,

I should be able to use ALL the tools provided, not just someone "favorite" tool.  If the side bar is the only tool that is meant to be maintained or to be correct, then you need to remove the pull down menus.

Don't provide tools that don't work.

-T
Comment 40 V Stuart Foote 2019-08-01 21:43:50 UTC
And, the Byfield DWL book [1] has pretty good coverage of handling page styles with style assigned Text Flow "Setting page breaks by style", and also best practices for using page styles in Chpt 8 "Stylng the page", including for "unusual circumstances" use of Page Break w/Style. 

=-ref-=

[1] http://designingwithlibreoffice.com/download-buy/
Comment 41 Todd 2019-08-01 22:06:23 UTC
(In reply to V Stuart Foote from comment #37)
> In the see also bug 57158 there was discussion of opening a enhancement for
> better UX in handling of the Page Break w/Style change. Never pursued...
> 
> @Cor, Heiko -- I had to poke around a bit for this behavior, but it is
> clearly identified in the Help for Insert - Manual Break [1], but the
> 6.2/6.3/6.4 newHelp needs a tweak to reposition it under More Breaks. And
> the "Inserting and Deleting Page Breaks" article [2] probably should have an
> Info tip to use the dialog to include style.
> 
> As Mike & Dieter said, it works fine when one manages their styles correctly
> (i.e. don't modify & apply the Default page style and expect stability). 
> 
> Otherwise do we need to give the novice user more hand holding?
> 

Hi Stuart,

Mike and Stuart gave me a work around and that is much appreciated, especially since this is a bug reporting site and not a help site.  But the bugs that led me to need the work arounds still need to be fixed.

Yes, I am a novice.  As such I see things that developers overlook as they know what is support to do and what is suppose to happen.  I don't, so I find all the warts.  I also write software, although no where near on your level.  I can pull my hair out for a week trying to find everything that can go wrong and think it is finished, then put it down in front of the the customer and they hand me my butt on a plate in 2 seconds flat.  It can be very frustrating, so I know where you guys are coming from.

I am a I.T. consultant to small business.  I have LO spread across two counties.  Other than using LO to read docx and xlsx eMail attachments and write shopping lists and recipes, I can not get anyone to use LO.  They just tell me they don't like it and and go buy M$ Office.  Now a lot of that is the old "I can't learn anything new" thing and you can't do anything about that, but a lot of it has to do with LO not being "intuitive" and being buggy.

This bug report is a good example of that.  How was I suppose to know that the side bar (which I don't like to use) had the bugs removed and the Format->Page-> Page menus had a bug in it?   Or that the Style pop up on the bottom border would change Landscape to Portrait by choosing Landscape and that Format->Page-> Page would not?  How was I suppose to know that "Style" was not orentation but it was?  How was I support to know that Format->Paragraph->flow Landscape actually change the page?  Why is it even in Paragraph? It is obviously a page function.  Are you starting to see why folks go out and pay for M$ Office?

So here is the thing, all the menus, all the side bars, all the things on the borders, all the icons should do the same thing.  As Mike state, they are the tools provided (he meant only one tool, not all of them).  If some of the tools are not to be accurate or maintained, the need to be removed.

As an I.T. professional (BSEE Computer Engineering) and a LO novice, I am the perfect person to test if something is intuitive.  I actually like LO and advocate for it with all my customers.  And I am also willing to work with you guys to try and make it better.  I don't know if you realize this, but this is actually a form of fan mail.   I actually will work with your guys to make LO better,m rather that installing something else.  My customer usually just ask me to remove it, even when I tell them it won't hurt to have both M$ Office and LO both installed at the same time.

May we open this back up as a bug yet?

-Todd

By the way, I still can't print an envelope in Linux and still can't get fancy with tables and merged cells.  

Oh, to come clean, I do use Word Pro a lot under Wine.  I is a ton more intuitive that LO.  And I have ZERO issues with Portrait and landscape.  I did wish it had LO's right click spell check.  I am the only one I know that still uses Word Pro, but it prints envelopes beautifully, even through Wine and CUPS.
Comment 42 Todd 2019-08-01 22:09:42 UTC
(In reply to Mike Kaganski from comment #22)

> Note that the different page styles are there for situations when user needs
> different page arrangements throughout the document (like in your case),
> since in LibreOffice, the page styles provide this functionality. But not
> everyone in the world needs differently styled pages in every document; for
> some, one and only one page arrangement is used across all the pages in the
> document. And in that case, it's very easy to just modify the "Default"
> style to fit their need (e.g., just make it landscape, effectively making it
> a copy of "Landscape" style). Doing that, user makes it impossible to use
> "Default" style for portrait pages (until the user changes the style back) -
> but in that case, it's not an issue. Additionally, it's always possible to
> create new page styles with required settings (e.g., named "Portrait") and
> use those instead...

I do (now) understand what "style" is.  The problem is that ALL the tools are not consistent as to how the effect Styles.  Side bars, bottom pop ups, pull down menus all need to match.

> 
> In your case, what you did is you initially had normal portrait-oriented
> Default page style, and added a page with Landscape style using a page
> break. But then, when you decided to remove the first page, you actually
> removed the page break with the Landscape page style assignment, and so all
> your pages became formatted using the Default style (portrait). Without
> understanding, you opened the page style settings (and remember, at this
> time, the active page style was Default!), and modified the page style
> (Default!) to be landscape - again: making it a copy of Landscape style
> (just with a different name). Boom! At this moment, your document has two
> landscape page styles, Default and Landscape. And now, trying to use either
> gives you the landscape paper - expected and correct behaviour, caused by
> user actions (made without understanding how things work).
>

And selecting Landscape from the bottom pull up changes the page to Portrait why?
Comment 43 Todd 2019-08-01 22:12:16 UTC
(In reply to V Stuart Foote from comment #40)
> And, the Byfield DWL book [1] has pretty good coverage of handling page
> styles with style assigned Text Flow "Setting page breaks by style", and
> also best practices for using page styles in Chpt 8 "Stylng the page",
> including for "unusual circumstances" use of Page Break w/Style. 

Hi Stuart,

It is nice that there are work arounds.  But ALL the tools -- sidebars, menus, bottom bars -- still need to do the same thing.  Unmaintained tools need to be removed.

-T
Comment 44 V Stuart Foote 2019-08-01 22:52:59 UTC
(In reply to Todd from comment #41)
> ...
> 
> May we open this back up as a bug yet?
> 
> ...

(In reply to Todd from comment #43)
> ...
> It is nice that there are work arounds.  But ALL the tools -- sidebars,
> menus, bottom bars -- still need to do the same thing.  Unmaintained tools
> need to be removed.
> ...

What are you talking about? They do *all* work correctly, there is no workaround!  

RTFM!

And this BZ issue has become TL;DR for any reasonable review or action.

The fact is that page styling is correctly handled. The => NAB is correct resolution here as anyone certainly can "switch to Portrait" if they work with Styles correctly.

=> CLOSED NOTABUG
Comment 45 Heiko Tietze 2019-08-02 08:27:12 UTC
Don't see need for improve UX. Of course, Todd runs into trouble like probably many others too, but to make this easier goes on cost of functionality. And throughout all the comments I haven't seen any proposal to enhance, eg. to introduce a page style "Portrait" in addition to the existing Landscape (wouldn't work well, IMHO) or to have a dedicated menu entry Insert > Page Break (Landscape) plus applying the Default page style (with portrait) for ordinary page breaks.

We appreciate your passion, Todd. But I cannot imaging any developer but Mike to read >20 comments :-). Those discussions might be better suited for the mailing lists or our other channels (IRC, Telegram).
Comment 46 Regina Henschel 2019-08-02 11:02:30 UTC
I think, one problem is, that the items 'Character', 'Paragraph' and 'Bullet and Numbering…' in that section of the Format menu perform a direct formatting which has no effect on other parts or the document. But the item 'Page…' there, does not perform a direct formatting at all and has often a document-wide effect.

I suggest to rename 'Page…' to 'Edit Page Style' and move it out of the Character-Paragraph section. Perhaps put it after 'Watermark', that has already 'Columns', which alters the page style too.
Comment 47 Todd 2019-08-02 23:41:18 UTC
(In reply to Heiko Tietze from comment #45)
> And throughout all the comments I haven't seen any proposal
> to enhance, eg. to introduce a page style "Portrait" in addition to the
> existing Landscape (wouldn't work well, IMHO) or to have a dedicated menu
> entry Insert > Page Break (Landscape) plus applying the Default page style
> (with portrait) for ordinary page breaks.

I never specifically said RFE to adding Portrait but did complain about it not being there profusely.
Comment 48 Todd 2019-08-02 23:44:01 UTC
(In reply to Regina Henschel from comment #46)
> I think, one problem is, that the items 'Character', 'Paragraph' and 'Bullet
> and Numbering…' in that section of the Format menu perform a direct
> formatting which has no effect on other parts or the document. But the item
> 'Page…' there, does not perform a direct formatting at all and has often a
> document-wide effect.

My understanding is that "format->page" is "suppose" to only affect the current page and subsequent new pages, not existing pages, even if under the active page.
Only I can never figure out when it is the current page and when it is global.

> I suggest to rename 'Page…' to 'Edit Page Style' and move it out of the
> Character-Paragraph section. Perhaps put it after 'Watermark', that has
> already 'Columns', which alters the page style too.

Hi Regina,

I love your idea!

-T
Comment 49 V Stuart Foote 2019-08-02 23:58:35 UTC
(In reply to Todd from comment #48)

> 
> My understanding is that "format->page" is "suppose" to only affect the
> current page and subsequent new pages, not existing pages, even if under the
> active page.
> Only I can never figure out when it is the current page and when it is
> global.
> 

Nope, there is no "Direct Formatting" for Pages--you will always be working with a style when formatting pages.  And Page styles are one of the styles that will *always* AutoUpdate (i.e. there is no "Auto Update" checkbox selection on the Style editor's Organizer tab). You change it anywhere, and it will auto update (perhaps "autocorrupt") its use anywhere else in the document. Powerful stuff :-)

Not understanding that seems to be what continues to trip you up...

> > I suggest to rename 'Page…' to 'Edit Page Style' and move it out of the
> > Character-Paragraph section. Perhaps put it after 'Watermark', that has
> > already 'Columns', which alters the page style too.
> 

+1, for Regina's suggestion the movement out of the block of Direct Formatting controls
Comment 50 Todd 2019-08-03 00:01:38 UTC
(In reply to Heiko Tietze from comment #45)
> Those discussions might be better suited for
> the mailing lists or our other channels (IRC, Telegram).

I think the issue here is that you do not get a good hearing when you report a bug, so you either give up or start these YUGE long dissertations.
It seem that you get a knee jerk "NOTABUG" response and that is the end of it.

In this bug report, I pointed out several bugs and got back use a different tool or use the tools provided, but not "that" tool.  Since one tool worked, but another did not, it was not a bug and I just did not understand.  RTFM.

For instance, the style pop up at the bottom of the page where Landscape is actually Portrait.   Format->Page->page is different that the side bar tool when selecting Landscape.  (I can show you XML code as to what is different if you wish.)  And my constant complaining about no Portrait in the styles selection.

Another example of getting blown off when reporting a bug:

Calc: print does not print unsaved cell
https://bugs.documentfoundation.org/show_bug.cgi?id=125895
Resolved: NOT A BUG

I reopened as an RFE
Print/Export should close cells first
https://bugs.documentfoundation.org/show_bug.cgi?id=125932

And then got a decent hearing and the bug was accepted.  Are you sensing a pattern?

That all being said, I adore Regina's proposal.  I would love to test it, if you need a tester.
Comment 51 V Stuart Foote 2019-08-03 00:29:46 UTC
(In reply to Todd from comment #50)
> 
> I think the issue here is that you do not get a good hearing when you report
> a bug, so you either give up or start these YUGE long dissertations.
> It seem that you get a knee jerk "NOTABUG" response and that is the end of
> it.
> 
> In this bug report, I pointed out several bugs and got back use a different
> tool or use the tools provided, but not "that" tool.  Since one tool worked,
> but another did not, it was not a bug and I just did not understand.  RTFM.
> 
> For instance, the style pop up at the bottom of the page where Landscape is
> actually Portrait.   Format->Page->page is different that the side bar tool
> when selecting Landscape.  (I can show you XML code as to what is different
> if you wish.)  And my constant complaining about no Portrait in the styles
> selection.
> 

Hmm, you've had four of the sharpest QA reviewers working on the project tell you that you are incorrect. You've received precise examples and explanations to enable you to perceive where your usage is not in line with function. Yet you still claim there is a bug... at some point folks will tell you to move on. Meanwhile the UX facet of why it causes issues is our ongoing dichotomy of Direct Formatting vs. Style based authoring. 

> 
> That all being said, I adore Regina's proposal.  I would love to test it, if
> you need a tester.

Not a lot to test or change--one commit to move the menu action for the Page... style dialog to a different section of the Format menu, with a tweak to its label.  It won't work any differently, but may be less confusing for folks there ;-)

Meanwhile examine the behavior of the Status bar indicator of the Page style, it is context menu (i.e. r-mouse click) enabled to allow you to select from the defined page styles and will display the Name of the page style applied to the document page with text cursor focus.  It does not give any indication when the style has been modified from its template defaults. Open attachment 153099 [details], its view mode should make the page styling apparent.
Comment 52 Todd 2019-08-03 00:34:29 UTC
(In reply to V Stuart Foote from comment #49)
> (In reply to Todd from comment #48)
> 
> > 
> > My understanding is that "format->page" is "suppose" to only affect the
> > current page and subsequent new pages, not existing pages, even if under the
> > active page.
> > Only I can never figure out when it is the current page and when it is
> > global.
> > 
> 
> Nope, there is no "Direct Formatting" for Pages--you will always be working
> with a style when formatting pages.  And Page styles are one of the styles
> that will *always* AutoUpdate (i.e. there is no "Auto Update" checkbox
> selection on the Style editor's Organizer tab). You change it anywhere, and
> it will auto update (perhaps "autocorrupt") its use anywhere else in the
> document. Powerful stuff :-)
> 
> Not understanding that seems to be what continues to trip you up...

I am on Format->page->Page and I see not "AutoUpdate" button, so I am at your mercy.

To me, what a style is and what is means is in the XML code.  For instance:

<style:page-layout style:name="pm1">
   <style:page-layout-properties fo:page-width="11in" fo:page-height="8.5in" style:num-format="1" style:print-orientation="landscape" fo:margin-top="0.7874in" fo:margin-bottom="0.7874in" fo:margin-left="0.7874in" fo:margin-right="0.7874in" style:writing-mode="lr-tb" style:layout-grid-color="#c0c0c0" style:layout-grid-lines="20" style:layout-grid-base-height="0.278in" style:layout-grid-ruby-height="0.139in" style:layout-grid-mode="none" style:layout-grid-ruby-below="false" style:layout-grid-print="false" style:layout-grid-display="false" style:footnote-max-height="0in">
    <style:footnote-sep style:width="0.0071in" style:distance-before-sep="0.0398in" style:distance-after-sep="0.0398in" style:line-style="solid" style:adjustment="left" style:rel-width="25%" style:color="#000000"/>
   </style:page-layout-properties>
   <style:header-style/>
   <style:footer-style/>
  </style:page-layout>

 <style:page-layout style:name="pm2">
   <style:page-layout-properties fo:page-width="11.6929in" fo:page-height="8.2681in" style:num-format="1" style:print-orientation="landscape" fo:margin-top="0.7874in" fo:margin-bottom="0.7874in" fo:margin-left="0.7874in" fo:margin-right="0.7874in" style:writing-mode="lr-tb" style:layout-grid-color="#c0c0c0" style:layout-grid-lines="20" style:layout-grid-base-height="0.278in" style:layout-grid-ruby-height="0.139in" style:layout-grid-mode="none" style:layout-grid-ruby-below="false" style:layout-grid-print="false" style:layout-grid-display="false" style:footnote-max-height="0in">
    <style:footnote-sep style:width="0.0071in" style:distance-before-sep="0.0398in" style:distance-after-sep="0.0398in" style:line-style="solid" style:adjustment="left" style:rel-width="25%" style:color="#000000"/>
   </style:page-layout-properties>


And when you start typing ping on a page, the page tags itself to what style it is using (pm1 and pm2 in the above).

So first you define (usually on the fly) what styles you are using, then you tag your missive with what style you are want:

   <text:p text:style-name="P1">Page 1 Lanscape</text:p>
   <text:p text:style-name="P2">Page 2 Portrait</text:p>

(I am a little unclear how pm1 and pm2 got turned into P1 and P2.)

So when the tag "<text:p text:style-name="Px">" is encountered, everything BEYOND that point takes on the properties of the tag.

So I just don't get why the side bar and the pull down do different thing.  When are you and when are you not altering the the global definition of the tag, when are you and when are you, making a new tag, and when are you saying to not modify a tab, but to override one feature with a slight change.

And speaking of RTFM, OpenDocument-v1.2.pdf, pg 214, 5.3.2 Default List Style, Are you even ALLOWED to change the Default Style.  I presume you what changes and you create a new style: tm1, pm2, pm3, etc.. And all over the palce in the spec, it states "...If there is no specified style available, the default style is applied", so I really do not think you are allows to change the defautls, but are allowed to create a new customer style.  I could be wrong.

So I actually do understand what "a" style is.  What I am having an issue with is the flow control of where and how styles are applied.

I seriously think Regina's idea will put an end to all this.  I am actually a bit in awe over how beautifully she laid it out and her thought process.
Comment 53 Todd 2019-08-03 00:38:03 UTC
(In reply to V Stuart Foote from comment #44)
> (In reply to Todd from comment #41)
> > ...

> What are you talking about? They do *all* work correctly, there is no
> workaround!  
> 
> RTFM!

Would ya like me to give you examples of XML code?
Comment 54 Todd 2019-08-03 00:39:27 UTC
(In reply to Regina Henschel from comment #46)
> I think, one problem is, that the items 'Character', 'Paragraph' and 'Bullet
> and Numbering…' in that section of the Format menu perform a direct
> formatting which has no effect on other parts or the document. But the item
> 'Page…' there, does not perform a direct formatting at all and has often a
> document-wide effect.
> 
> I suggest to rename 'Page…' to 'Edit Page Style' and move it out of the
> Character-Paragraph section. Perhaps put it after 'Watermark', that has
> already 'Columns', which alters the page style too.

So how do we get Regina's proposal into the system?  Create a new bug report?  Reopen this one?
Comment 55 Todd 2019-08-03 01:11:27 UTC
(In reply to V Stuart Foote from comment #51)
>
> Hmm, you've had four of the sharpest QA reviewers working on the project
> tell you that you are incorrect. You've received precise examples and
> explanations to enable you to perceive where your usage is not in line with
> function. Yet you still claim there is a bug... at some point folks will
> tell you to move on. Meanwhile the UX facet of why it causes issues is our
> ongoing dichotomy of Direct Formatting vs. Style based authoring. 

That you for helping me make my point.  All those sharp guys did not really help until Regina took a look.  What they did was give me work arounds, which were appreciated but not the point of the bug report.  It took Regina to hit pay dirt.
So I guess five is the magic number.


> Meanwhile examine the behavior of the Status bar indicator of the Page
> style, it is context menu (i.e. r-mouse click) enabled to allow you to
> select from the defined page styles and will display the Name of the page
> style applied to the document page with text cursor focus.  It does not give
> any indication when the style has been modified from its template defaults.
> Open attachment 153099 [details], its view mode should make the page styling
> apparent.

I do understand what you are saying.  But from a users standpoint, you are tell him that up is down and down is up.  Portrait is Landscape and Landscape is Portrait.  This is a nightmare for the user.  Do you expect the user to code directly in XML so he gets what he wants?  The user expects the "Style" pop up to be the style of the current page and subsequent pages NOT THE WHOLE STINKING DOCUMENT.  The Style pop up should create a new set of rules in a new or previously used style.  Styles themselves are a great way of doing this, but your flow control of styles is what is in question, not the styles themselves.

You have to look at this from the user's standpoint, not the developers.  This bug report all started with me having to urgently send a customers a document with mixed Landscape (first page) and Portrait mixed together and I could not figure out how in the h*** I lost my ability to use Portrait (he accepted everything is Landscape, fortunately).

 And I am a YUGE fan of LO and a BS in comptuer engineering and an I.T. professional to boot AND even I could not figure it out.  And googeling it was no use either.  (I have since wrote up how to do it from myself.)  How in the world would you expect a standard user to figure it out?  This is why I can't get anyone to seriously adopt LO, even thought it is a great piece of software.
Comment 56 Todd 2019-08-03 01:27:34 UTC
(In reply to Regina Henschel from comment #46)
> I think, one problem is, that the items 'Character', 'Paragraph' and 'Bullet
> and Numbering…' in that section of the Format menu perform a direct
> formatting which has no effect on other parts or the document. But the item
> 'Page…' there, does not perform a direct formatting at all and has often a
> document-wide effect.
> 
> I suggest to rename 'Page…' to 'Edit Page Style' and move it out of the
> Character-Paragraph section. Perhaps put it after 'Watermark', that has
> already 'Columns', which alters the page style too.

Hi Regina,

I think one of the issues here is naming custom styles with names like "Landscape".  The "User" expects it to be Landscape because that is what is says it is.  (I currently have a test doc in Portrait that uses a style called Landscape.)  He does not realize that it is an arbitrary comment and that the page orientation is buried in the XML tags.  I surely did not.  The new style could as well be called the Flaming Zucchini style.  At least if the style was called the Flaming Zucchini, he know to look inside to see what it does.

When you tell the user that Landscape is not Landscape Orientation but jsut teh name of the style, he is going to think you are an idiot and go buy M$ Office.  I have had is happen too many times.  At least the usually buy M$ Office from me.  But geez, what a waste of money.

-T
Comment 57 V Stuart Foote 2019-08-03 01:46:04 UTC
(In reply to Todd from comment #55)
> 
> > Meanwhile examine the behavior of the Status bar indicator of the Page
> > style, it is context menu (i.e. r-mouse click) enabled to allow you to
> > select from the defined page styles and will display the Name of the page
> > style applied to the document page with text cursor focus.  It does not give
> > any indication when the style has been modified from its template defaults.
> > Open attachment 153099 [details], its view mode should make the page styling
> > apparent.
> 
> I do understand what you are saying.  But from a users standpoint, you are
> tell him that up is down and down is up.  Portrait is Landscape and
> Landscape is Portrait.  This is a nightmare for the user.  Do you expect the
> user to code directly in XML so he gets what he wants?  The user expects the
> "Style" pop up to be the style of the current page and subsequent pages NOT
> THE WHOLE STINKING DOCUMENT.  The Style pop up should create a new set of
> rules in a new or previously used style.  Styles themselves are a great way
> of doing this, but your flow control of styles is what is in question, not
> the styles themselves.
> 

The Page style field of the Status bar shows the *named* Page Style as pulled from the Master-Page template (the "<style:master-page style:name=" stanzas) for the document. It also will list any new styles that are added to the current document authoring session. What it will not show/can not show is when a user makes a format change to the style that makes the style name meaningless!  Like when you change the Default (i.e. portrait) page layout to landscape, and then essentially rename it. 

The Status bar widget displays the same list of styles that the 'All Styles' view of the Sidebar -> Styles deck Page content panel will list. The Sidebar content panel is sorted--but it is the same list. Styles for both list widgets are click assignable to the document page with current text cursor focus.

> You have to look at this from the user's standpoint, not the developers. 

We do, continuously. That is why we have a UX team and why beyond triage and QA we end up doing user support/training in the BZ, occasionally good RFE are spun off as a result.

> This bug report all started with me having to urgently send a customers a
> document with mixed Landscape (first page) and Portrait mixed together and I
> could not figure out how in the h*** I lost my ability to use Portrait (he
> accepted everything is Landscape, fortunately).
> 

Well, I hope you now understand how trivial it is to do just that, and to recover when you've misapplied or corrupted a style, or I've wasted way more time than this non-issue merits ;-)
Comment 58 Todd 2019-08-03 01:53:09 UTC
(In reply to V Stuart Foote from comment #57)
> (In reply to Todd from comment #55)

> Well, I hope you now understand how trivial it is to do just that, and to
> recover when you've misapplied or corrupted a style, or I've wasted way more
> time than this non-issue merits ;-)

I know now that up is down and right is left and can easily work with it.  It helps that I wrote it all down too.  I shutter to think of an non I.T. user trying to figure it out and that does make it and issue.

The best outcome of all of this would be to get Regina's proposal implemented.
Comment 59 Heiko Tietze 2019-08-03 06:21:46 UTC
(In reply to Regina Henschel from comment #46)
> I suggest to rename 'Page…' to 'Edit Page Style' and move it out of the
> Character-Paragraph section. Perhaps put it after 'Watermark', that has
> already 'Columns', which alters the page style too.

Yes to the position on top of the next section (the most important should be on top and not the last) but not to add "Edit" at the beginning to align with the other labels (we do not add the verb). 

I would do the patch when everyone is happy with that.
Comment 60 Wolfgang Jäger 2019-08-04 11:44:26 UTC
(This is about the funniest bug report with discussion I ever read, and part ofr it is the way I cam to read it...)

After more than half an hour of thorough reading and wondering and admiring the patience of next to everybody contributing here, I still miss one hint that probably might help Todd to understand better the background of his (and other "ordinary user's") problem: 

There isn't anything like a "single page" in a Writer document. The pages addressed by Todd only are created ON THE FLY when parts of the document need to be rendered on a screen or to be printed. This also happens to sometimes cause differences in the page wrapping on different devices without any changes in the document. In addition any simpele change in the font size for a part of the text will often cause changing page numbers e.g. The pages do not exist as objects as paragrphs and shapes and tables and OLE ojects and... do.

Since less well designed software like Word seems to disguise these facts, users unfortunately "software-socialized" by MS expect bad behaviour insofar also for different software. Just look at the many "automatic styles" needing to be created if a MS-Word document is converted to the much more advanced ODF standards. 

Well, there are glitches in LibreOffice. However, if the concepts needed to understand the behaviours of MS Office and of LibreOffice are inconsistent we should try to shift to the ODF conforming ones as the better ones. 

This said I would back propositions made by Regina an others to make the ODF related facts more clear to the "ordinary user", and by that mainly to reduce the danger of misunderstandings having shown up in this thread. 

That regression to standards of Word cannot be a way goes without saying.
Comment 61 Heiko Tietze 2019-08-08 11:10:57 UTC
https://gerrit.libreoffice.org/#/c/77148/
Comment 62 Wolfgang Jäger 2019-08-08 12:51:52 UTC
It's a kind of surprise to me that this monster thread -in a sense- leads anywhere after all.  

In fact I considered to file a new bug related to this one and discussing the causes of the problem (and of similar ones) basically, and, of course, aimed to find appropriate suggestions how to solve (relieve) them.

The above announced change only addresses this very specific part of the case, as far as I can see.

Without having finally prepared a bug report as mentioned above, just a spontaneous very crude draft here:

The situation (partly as "felt" by myself):
The main menus of the UIs per docment class were changed again and again (and much to frequently) within the recent few years. So were the icons and probably the predefined Toolbars / Sidepanels. And there was the (imo just wasting development resources) 'Muffin' GUI.

Why? I  would suppose there never was a thorough discussion about what should be the final goal of all that. But there are things that shold not be subject to cherry picking based on whatever a few developers think to be a cherry.

One of the relevant changes concerning main menus was the introduction of the new first-level-item 'Style' used for 'Writer' and for 'Calc' - without at the same time introducing a 'Print' item missing for decades now, and probably a 'Page' item (which exist for Draw/Impress on the other hand, and thus probably encourages wrong expectations regarding other document classes).

Just one aspect to a bit more detail:

For Calc the mentioned 'Styles' item is a 'CellStyles' item actually, "enriched" by (at least) two redundant submenu items, and otherwise allowing the direct assignmebt of a few predefined cell styles in a redundant way, and this way disesteeming a well designed style hierarchy probably created by the user. WHY? Most of the styles listed there are of negligeable use, imo, if not restricted to conditional formatting, and may wrongly encourage users tempted to misuse formatting for coding real information. Last mentioned phenomenon is real as forum posts show again and again.

For Writer even a preliminary listing of the related grievances (and probable relief) would need a three-page essay. There are sub-items and sub-sub-itims not actually relate to formatting at all. The sub-item 'Text' e.g. mixes up some cases of direct formatting ('Small capitals' e.g.) with actual editing of the content ('UPPER-CASE' e.g.) without any waring or clarification.
Generally both menu items 'Format' and 'Style' contain sub-items definitely not belonging there or being doubtable basically. 

Concerning pages in Writer and in Calc additional problem are (at least)
- the lack of heritage
- the bad handling introduced by MS-Word (as I conclude from forum posts).

To just move the 'Page...' sub-item from 'Format' to 'Style' may not solve a problem. Concerning the facts discussed over thousands (?) of lines here the expectations of users ("the user") are that pages exist as actual and persistent sub-content of the overall text, and that expectation cannot be fulfilled without destroying the usefulness of Writer. 
Going to the extreme user Todd concerning "the page I am {he is} working on" might be satisfied by a sub-item somewhere labelled in a clever way and meaning: 

Insert a page brake above the currently viewed page and another one below it, apply the page style I selected to the newly created sequence of pages which is as yet consisting of just one page, and adapt te page numbering for these pages, the pages above and the pages below in a way you (the software) guess I would be satisfied with.

If I am wrong, I beg for correction.
Comment 63 Mike Kaganski 2019-08-08 13:19:27 UTC
(In reply to Wolfgang Jäger from comment #62)

Wolfgang, thanks for your thoughts, but you know what: you were writing all this in the very same time when a UX/design meeting was held (see https://lists.freedesktop.org/archives/libreoffice/2019-August/083263.html). It would be much better if you attended these meetings, and helped make decisions on problems discussed there (and raised issues that you are interested in there as well).
Comment 64 Heiko Tietze 2019-08-08 14:38:31 UTC
(In reply to Wolfgang Jäger from comment #62)
> It's a kind of surprise to me that this monster thread -in a sense- leads
> anywhere after all.  

And ultimately also to the very basic questions :-). Open Source has the "drawback" that everyone can add functions - and want this to be accessible easily. So the main menu grows and becomes more and more cluttered. We tried to reorganize based on a few common guidelines [1] but of course that's not making LibreOffice similar easy and simple to use as GDoc, for example. A way to make all users happy could be to put different menu layouts into extensions (might be possible right now, see bug 120132 and bug 123768 c6).

The issue here is a bit different. Todd expects direct formatting where only style is available. Moving the menu entry down one item [2] causes not much trouble with the menu but also has limited benefit. We would have to introduce a function that applies a page style on one page only (and bloat further by this). However, this would confuse users who are familiar with page style and expect this new single-page-pagestyle to be configurable as ordinary page styles. Very awkward, IMHO.

As Mike wrote, you are always welcome at the meetings.

[1] https://wiki.documentfoundation.org/Design/MenuBar
[2] https://gerrit.libreoffice.org/#/c/77148/
Comment 65 Commit Notification 2019-08-08 14:48:17 UTC
Heiko Tietze committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/21a792f1756a1370476e66538e821e402df83799%5E%21

Resolves tdf#126608 - Unclear page formatting

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 66 Cor Nouws 2019-08-09 08:11:56 UTC
(In reply to Heiko Tietze from comment #64)

> And ultimately also to the very basic questions :-). Open Source has the
> "drawback" that everyone can add functions - and want this to be accessible
> easily. So the main menu grows and becomes more and more cluttered. We tried
> ...
Ah, good improvement to change "Format > Page" into "Format > Page Style".
I learned very early that Format > Page indeed is different, and always told people about it. But improving the UI is nice :)
Comment 67 Thomas Lendo 2019-08-10 13:28:07 UTC
(In reply to Heiko Tietze from comment #45)
> Don't see need for improve UX. Of course, Todd runs into trouble like
> probably many others too, but to make this easier goes on cost of
> functionality. And throughout all the comments I haven't seen any proposal
> to enhance, eg. to introduce a page style "Portrait" in addition to the
> existing Landscape (wouldn't work well, IMHO) or to have a dedicated menu
> entry Insert > Page Break (Landscape) plus applying the Default page style
> (with portrait) for ordinary page breaks.
I like the idea of introducing a portrait page style. The only drawback I can imagine is that this new style competes with Default page style.

Additional to that, maybe we can change the page style handling analogous to the paragraph styles: Default shouldn't be used, it's only a baseline for all others.

In general I love the page settings as they are the only one in Writer where no confusion can be between hard and soft formatting. But this seems to be a problem for users there doesn't know anything about styles.
Comment 68 Thomas Lendo 2019-08-10 13:38:06 UTC
Heiko, please also have Writer master documents in mind.
Comment 69 Mike Kaganski 2019-08-10 13:39:20 UTC
(In reply to Thomas Lendo from comment #67)
> Additional to that, maybe we can change the page style handling analogous to
> the paragraph styles: Default shouldn't be used, it's only a baseline for
> all others.

... which needs tdf#41316 implemented ;-)

In general, users have problems not only with style concept comprehension, but also with absence of any hints which is the current range of a page style application: currently, one can only manually inspect all page breaks to check if they define a style (and thus define a "section of page style application"), or one can try applying the page style and check which range got actually affected... not the best workflow for anyone, be in a novice or an experienced user.
Comment 70 Mike Kaganski 2019-08-10 13:44:36 UTC
(In reply to Mike Kaganski from comment #69)

... additionally, any change in page numbering currently requires also explicit setting of a page style (even if it doesn't need to change here; see tdf#114085) - which may introduce extra "sections of page style application", which also interfere with good workflow.
Comment 71 Dieter Praas 2019-09-15 14:33:00 UTC
Verified with

Version: 6.4.0.0.alpha0+ (x64)
Build ID: f0c832acb53326ccc9a8c1a47401fbc9e1081feb
CPU threads: 4; OS: Windows 10.0; UI render: GL; VCL: win; 
TinderBox: Win-x86_64@62-TDF, Branch:master, Time: 2019-09-11_05:46:53
Locale: en-GB (de_DE); UI-Language: en-US
Calc: threaded

"Format > Page" has been changed into "Format > Page Style"